Last Comment Bug 638562 - JSDGlobal not updated for strict property setter
: JSDGlobal not updated for strict property setter
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: jsd
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 13:36 PST by Steve Fink [:sfink] [:s:]
Modified: 2011-07-08 00:24 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use JS_StrictPropertyStub for JSDGlobal class (920 bytes, patch)
2011-03-03 13:36 PST, Steve Fink [:sfink] [:s:]
jimb: review+
Details | Diff | Splinter Review

Description Steve Fink [:sfink] [:s:] 2011-03-03 13:36:57 PST
Created attachment 516692 [details] [diff] [review]
Use JS_StrictPropertyStub for JSDGlobal class

js/jsd/jsd_high.c has a JSClass static initializer that was not updated to JS_StrictPropertyStub.
Comment 1 Jim Blandy :jimb 2011-03-03 18:22:22 PST
Comment on attachment 516692 [details] [diff] [review]
Use JS_StrictPropertyStub for JSDGlobal class

Yes --- thank you!
Comment 2 timeless 2011-03-05 13:53:07 PST
this kinda scares me. is it something that needs to be in releases?
Comment 3 Steve Fink [:sfink] [:s:] 2011-04-28 10:56:07 PDT
This change was made by http://hg.mozilla.org/mozilla-central/rev/4290338c3956, committed as a warning fix in an unrelated patch for bug 613457.

Note You need to log in before you can comment on or make changes to this bug.